Facebook
From Kurupi, 8 Months ago, written in Plain Text.
Embed
Download Paste or View Raw
Hits: 119
  1. [root@(none) ~]# 
  2. 2019-11-26 14:35:33,393 TestBase        INFO       Calling update_client_timeout()
  3. 2019-11-26 14:35:33,394 TestBase        ERROR      Caught AttributeError("'NoneType' object has no attribute 'timeout'",):'NoneType' object has no attribute 'timeout' in update_client_timeout
  4. Traceback (most recent call last):
  5.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tests/TestBase.py", line 332, in execute_func_list
  6.     ret = func[0](func[1]) if args else func[0]()
  7.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tests/IperfTest.py", line 118, in update_client_timeout
  8.     self.client_timeout = self.client.timeout
  9.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tools/mib3_spawn.py", line 152, in __getattr__
  10.     return getattr(self.client_ssh, n)
  11. AttributeError: 'NoneType' object has no attribute 'timeout'
  12. 2019-11-26 14:35:33,397 TestBase        ERROR      Test failed! Reason: AttributeError("'NoneType' object has no attribute 'timeout'",)
  13. Traceback (most recent call last):
  14.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tests/TestBase.py", line 189, in Execute
  15.     result = self._execute()
  16.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tests/TestBase.py", line 172, in _execute
  17.     if self.Prepare():
  18.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tests/IperfTest.py", line 128, in Prepare
  19.     if not super(IperfTest, self).Prepare():
  20.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tests/TestBase.py", line 138, in Prepare
  21.     return self.execute_func_list(self.required_funcs)[0]  # get only status of the operation
  22.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tests/TestBase.py", line 332, in execute_func_list
  23.     ret = func[0](func[1]) if args else func[0]()
  24.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tests/IperfTest.py", line 118, in update_client_timeout
  25.     self.client_timeout = self.client.timeout
  26.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tools/mib3_spawn.py", line 152, in __getattr__
  27.     return getattr(self.client_ssh, n)
  28. AttributeError: 'NoneType' object has no attribute 'timeout'
  29. 2019-11-26 14:35:33,399 TestBase        INFO       Collecting dmesg from the target...
  30. 2019-11-26 14:35:33,400 mib3            INFO       Collecting dmesg from domuli
  31. 2019-11-26 14:35:37,678 mib3            INFO       Collecting dmesg from dom0sl
  32. 2019-11-26 14:35:39,359 mib3            INFO       Collecting dmesg from cpa
  33. 2019-11-26 14:35:41,182 mib3_spawn      ERROR      sendline exception: 'NoneType' object has no attribute 'sendline' - will try again,
  34. Traceback (most recent call last):
  35.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tools/mib3_spawn.py", line 165, in sendline
  36.     return self.client_ssh.sendline(command)
  37. AttributeError: 'NoneType' object has no attribute 'sendline'
  38. 2019-11-26 14:35:41,183 mib3_spawn      ERROR      Login failed. Reason: login() missing 1 required positional argument: 'server'
  39.  Object state: <mib3_spawn.MIB3Ssh object at 0x7620e250>
  40. Traceback (most recent call last):
  41.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tools/mib3_spawn.py", line 165, in sendline
  42.     return self.client_ssh.sendline(command)
  43. AttributeError: 'NoneType' object has no attribute 'sendline'
  44.  
  45. During handling of the above exception, another exception occurred:
  46.  
  47. Traceback (most recent call last):
  48.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tools/mib3_spawn.py", line 126, in login
  49.     return self.client_ssh.login(*self._login_args, **self._login_kwargs)
  50. TypeError: login() missing 1 required positional argument: 'server'
  51. 2019-11-26 14:35:41,186 TestBase        ERROR      Failed to Clean() after the test! Received: 'pxssh' object has no attribute 'ptyproc'
  52. Traceback (most recent call last):
  53.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tools/mib3_spawn.py", line 165, in sendline
  54.     return self.client_ssh.sendline(command)
  55. AttributeError: 'NoneType' object has no attribute 'sendline'
  56.  
  57. During handling of the above exception, another exception occurred:
  58.  
  59. Traceback (most recent call last):
  60.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tools/mib3_spawn.py", line 126, in login
  61.     return self.client_ssh.login(*self._login_args, **self._login_kwargs)
  62. TypeError: login() missing 1 required positional argument: 'server'
  63.  
  64. During handling of the above exception, another exception occurred:
  65.  
  66. Traceback (most recent call last):
  67.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tests/TestBase.py", line 209, in Execute
  68.     self.Clean()
  69.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tests/IperfTest.py", line 251, in Clean
  70.     self.server.sendline('\x03')  # send ^C (Ctrl+C) to the server to stop
  71.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tools/mib3_spawn.py", line 168, in sendline
  72.     self.login(*self._login_args, **self._login_kwargs)
  73.   File "/home/jenkins/workspace/meb_tomek_test/hw_tests/sw_tests/tools/mib3_spawn.py", line 129, in login
  74.     self.client_ssh.close()
  75.   File "/home/jenkins/at_venv/lib/python3.5/site-packages/pexpect/pty_spawn.py", line 327, in close
  76.     self.ptyproc.close(force=force)
  77. AttributeError: 'pxssh' object has no attribute 'ptyproc'